Foreman - Feature #2937

Resize hosts table to use more screen width
08/14/2013 02:59 PM - Daniel Lobato Garcia

Status: New

Priority: Normal
Assignee:

Category: Web Interface
Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

The hostgroup column is very narrow by design. Would it be possible for example to have the whole table autoresize to the width of
the browser?
On a 24" screen about 20% of width is unused.

Related issues:

Related to Foreman - Feature #1403: [foreman] [UI] - tables columns should be... New 12/19/2011
Related to Foreman - Feature #6119: Ul Improvements Resolved 06/09/2014
Related to Foreman - Feature #4629: Add Patternfly support in foreman Closed 03/11/2014
Related to Foreman - Bug #8800: Table cells should clip with tooltip only if ... Closed 12/28/2014
History

#1 - 08/14/2013 06:26 PM - Dominic Cleal
- Subject changed from Resize hosts table to Resize hosts table to use more screen width

- Category set to Web Interface

#2 - 10/16/2013 05:37 PM - Duncan Innes

Would also be nice to be able to:

alter width of columns by dragging the separator line in the header row
drag column headers to a view | prefer
ability to edit the viewed columns (adding further columns would be nice here)

1
2
3
4) ability to save my setting so it returns each time my user goes to this screen.
This kind of applies to any page with a table to be fair.

#3 - 10/18/2013 08:15 AM - Dominic Cleal
- Related to Feature #1403: [foreman] [Ul] - tables columns should be resizable added

#4 - 06/09/2014 12:29 PM - Dominic Cleal
- Related to Feature #6119: Ul Improvements added

#5 - 06/09/2014 12:32 PM - Dominic Cleal
- Related to Feature #4629: Add Patternfly support in foreman added

#6 - 06/09/2014 12:32 PM - Dominic Cleal

| don't know if we'll use it for sure, but #4629 is about using Patternfly which has a variable width design.

#7 - 10/11/2015 08:38 AM - Tomer Brisker
- Related to Bug #8800: Table cells should clip with tooltip only if text actually overflows added

05/11/2024 1/1



https://projects.theforeman.org/issues/4629
http://www.tcpdf.org

